org.modeshape.jcr

## Class Connectors.BasicPathMappings

- java.lang.Object
- - org.modeshape.jcr.Connectors.AbstractPathMappings
  - - org.modeshape.jcr.Connectors.BasicPathMappings

- All Implemented Interfaces:
    Connectors.PathMappings
  Enclosing class:
    Connectors

      protected static final class Connectors.BasicPathMappings
      extends Connectors.AbstractPathMappings

- - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.Connectors.AbstractPathMappings

      `connectorSourceName, EMPTY, pathFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Connectors.BasicPathMappings(String connectorSourceName, PathFactory pathFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `add(Path externalPath, Path internalPath, String workspaceName)`
    `protected void` | `freeze()`
    `Collection<WorkspaceAndPath>` | `resolveExternalPathToInternal(Path externalPath)` Attempt to resolve the supplied external path (from the point of view of a connector) to the internal repository path(s) using the connector's projections at the time this object `was obtained`.
    `String` | `toString()`

    - ### Methods inherited from class org.modeshape.jcr.Connectors.AbstractPathMappings

      `getConnectorSourceName, getPathFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Connectors.BasicPathMappings

          protected Connectors.BasicPathMappings(String connectorSourceName,
                                      PathFactory pathFactory)

  - ### Method Detail

    - #### resolveExternalPathToInternal

          public Collection<WorkspaceAndPath> resolveExternalPathToInternal(Path externalPath)

      Description copied from interface: `Connectors.PathMappings`
      Attempt to resolve the supplied external path (from the point of view of a connector) to the internal repository path(s) using the connector's projections at the time this object `was obtained`. This method returns an empty collection if the external node at the given path is not projected into the repository.
      Parameters:
        `externalPath` - the external path of a node in the tree of content exposed by the connector; this path is from the point of view of the connector.
      Returns:
        the resolved repository paths, each in the associated named workspaces, or an empty collection if this mapping projected the supplied external path

    - #### add

          protected void add(Path externalPath,
                 Path internalPath,
                 String workspaceName)

    - #### freeze

          protected void freeze()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.